package com.zjsgfa.project.zjsgfa.service;

import java.util.List;
import com.zjsgfa.project.zjsgfa.domain.SjGcjbsj;

/**
 * 工程基本数据Service接口
 * 
 * @author ruoyi
 * @date 2026-02-02
 */
public interface ISjGcjbsjService 
{
    /**
     * 查询工程基本数据
     * 
     * @param id 工程基本数据主键
     * @return 工程基本数据
     */
    public SjGcjbsj selectSjGcjbsjById(Long id);

    /**
     * 查询工程基本数据列表
     * 
     * @param sjGcjbsj 工程基本数据
     * @return 工程基本数据集合
     */
    public List<SjGcjbsj> selectSjGcjbsjList(SjGcjbsj sjGcjbsj);

    /**
     * 新增工程基本数据
     * 
     * @param sjGcjbsj 工程基本数据
     * @return 结果
     */
    public int insertSjGcjbsj(SjGcjbsj sjGcjbsj);

    /**
     * 修改工程基本数据
     * 
     * @param sjGcjbsj 工程基本数据
     * @return 结果
     */
    public int updateSjGcjbsj(SjGcjbsj sjGcjbsj);

    /**
     * 批量删除工程基本数据
     * 
     * @param ids 需要删除的工程基本数据主键集合
     * @return 结果
     */
    public int deleteSjGcjbsjByIds(Long[] ids);

    /**
     * 删除工程基本数据信息
     * 
     * @param id 工程基本数据主键
     * @return 结果
     */
    public int deleteSjGcjbsjById(Long id);
}
